<?php
namespace DsnParser;
class OssDsn{
	public static parse($dsn){
		$info = parse_url($dsn);
		if(!$info['scheme'])
			return false;
		if($info['scheme'] != 'oss')
			return false;
		return array(
			'access_id'  =>  $info['user'],
			'access_secret'  => $info['pass'],
			'endpoint'  => $info['host'],
			'bucket'  =>  isset($info['path']) ? substr($info['path'],1) : ''
		);
	}
}
