<?php
namespace DsnParser;
class EnvDsn{
	public static function parse($dsn){
		$info = parse_url($dsn);
		if(!$info['scheme'])
			return false;
		if(! in_array($info['scheme'], array('http','https') ) )
			return false;
		if(isset($info['port']))
			$url = $info['scheme']. '://' . $info['host'] . ':' . $info['port'] . $info['path'];
		else
			$url = $info['scheme']. '://' . $info['host'] . $info['path'];
		return array(
			'appid'  =>  $info['user'],
			'appsecret'  => $info['pass'],
			'url'  => $url
		);
	}
}